/*****************************************************************************
 *
 * $RCSfile: common.h,v $
 *
 * FetchMap
 * Common Data Structure and Function Declarations
 *
 * This program is Copyright (C) 01/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005/03/05 11:47:33 $
 *
 * $Revision: 1.5 $
 *
 * $Log: common.h,v $
 * Revision 1.5  2005/03/05 11:47:33  mp
 * added Preferences.use_vfs
 *
 * Revision 1.4  2004/04/04 13:43:07  mp
 * renamed defines
 *
 * Revision 1.3  2004/03/23 20:11:06  mp
 * changed lat/lon from float to double
 *
 * Revision 1.2  2003/10/25 19:51:15  mp
 * added MapParamType, removed prototype for progressbar()
 *
 * Revision 1.1.1.1  2003/10/24 15:56:42  mp
 * Imported FetchMap to CVS revision control.
 *
 *
 *
 ****************************************************************************/
#ifndef COMMON_H
#define COMMON_H

/* Define the varous coordinate systems (grids) */
#define POS_D		0	/* DD.DDDDDDD, internal representation */
#define	POS_DM		1	/* DDMM.MMMM' */
#define POS_DMS		2	/* DDMM'SS.SSS" */
#define POS_UTM		3	/* Universal Transversal Mercator */
#define POS_GK		4	/* Gauss-Krueger aka. German Grid (TBD) */

/* Preferences Struct */
typedef struct {

  double	lat;		/* latitude */
  				/* + : northern hemisphere */
  				/* - : southern hemisphere */
				
  double	lon;		/* longitude */
  				/* + : east of greenwich meridian */
  				/* - : west of greenwich meridian */

  UInt32	scale;		/* map scale */

  UInt16	width;		/* map width (px) */
  UInt16	height;		/* map height (px) */

  Char		units;		/* <GRID_D | GRID_DM | GRID_DMS | 
                                    GRID_UTM | GRID_GK> */

  Boolean	use_vfs;	/* false: File Stream PDB / true: VFS File */
} PrefsType;

/* MapParamType Struct */
typedef struct {
  double	lat;		/* latitude */
  double	lon;		/* longitude */
  
  UInt32	scale;		/* map scale */

  UInt16	width;		/* map width (px) */
  UInt16	height;		/* map height (px) */

} MapParamType;

#endif
