/*****************************************************************************
 *
 * $RCSfile: geo.h,v $
 *
 * GPS4Palm Geodesic/Geometric Utility Functions
 *
 * This program is Copyright (C) 07/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004/04/10 10:43:09 $
 *
 * $Revision: 1.1 $
 *
 * $Log: geo.h,v $
 * Revision 1.1  2004/04/10 10:43:09  mp
 * initial version, imported from GPS4Palm and modified
 *
 *
 ****************************************************************************/
#ifndef GEO_H
#define GEO_H

#define SEMIMAJOR_AXIS	6378137			// m, GRS80/WGS84 Ellipsoid
#define FLATTENING	(1 / 298.257223563)	// GRS80/WGS84 Ellipsoid
#define M_PI		3.14159265358979323e0	// pi
#define PIXELFACT	2834.65			// pixel/m

#define GEO_SECTION   __attribute__ ((section ("geo")))


char Lat_To_UTM_Belt(double lat) 				GEO_SECTION;
double semi2deg(Int32 semi)					GEO_SECTION;
Int32 deg2semi(double deg)					GEO_SECTION;
double rad2deg(double rad)					GEO_SECTION;
double deg2rad(double deg)					GEO_SECTION;
void deg_to_dm_str(double lat, double lon,
		char *lat_dm_str, char *lon_dm_str)		GEO_SECTION;
void deg_to_dms_str(double lat, double lon,
		char *lat_dms_str, char *lon_dms_str)		GEO_SECTION;
#endif
