/*****************************************************************************
 *
 * $RCSfile: DataExchange.h,v $
 *
 * GPS4Palm Data Exchange using Garmin Protocol
 *
 * This program is Copyright (C) 12/2002 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-30 21:05:14 $
 *
 * $Revision: 1.5 $
 *
 * $Log: DataExchange.h,v $
 * Revision 1.5  2004-11-30 21:05:14  mp
 * added get_next_trk(), store_trk(),a and NumTrkPackets()
 *
 * Revision 1.4  2004/11/24 21:05:24  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.3  2004/11/11 18:52:43  mp
 * added TermStr()
 *
 * Revision 1.2  2004/06/23 18:07:05  mp
 * added NumRtePackets()
 *
 * Revision 1.1  2004/04/29 20:02:52  mp
 * initial version
 *
 *
 ****************************************************************************/
#ifndef DATAEXCHANGE_H
#define DATAEXCHANGE_H

/*
 * The data exchange functions are in their own segment
 */
#define DATAEXCHANGE_SECTION   __attribute__ ((section ("database")))

GarminObject *get_next_wpt(UInt16 current, LocalFormatID format, 
  unsigned char *size)					DATAEXCHANGE_SECTION;

GarminObject *get_next_rte(UInt16 current, LocalFormatID format, 
  unsigned char *size, Boolean * h, Boolean * eor)	DATAEXCHANGE_SECTION;

GarminObject *get_next_trk(UInt16 current, LocalFormatID format,
  byte *size, Boolean * eot)				DATAEXCHANGE_SECTION;

Err store_wpt(GarminObject* wpt, UInt16 total, UInt16 current,
  LocalFormatID format, byte size)			DATAEXCHANGE_SECTION;

Err store_rte(GarminObject* obj, UInt16 total, UInt16 current,
  LocalFormatID format, byte size)			DATAEXCHANGE_SECTION;

Err store_trk(GarminObject * trk, UInt16 total, UInt16 current,
  LocalFormatID format, byte size)			DATAEXCHANGE_SECTION;

UInt16 NumRtePackets(void)				DATAEXCHANGE_SECTION;

UInt16 NumTrkPackets(void)				DATAEXCHANGE_SECTION;

#endif
