/*****************************************************************************
 *
 * $RCSfile: DebugForm.c,v $
 *
 * GPS4Palm Debug Form
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-24 21:06:58 $
 *
 * $Revision: 1.3 $
 *
 * $Log: DebugForm.c,v $
 * Revision 1.3  2004-11-24 21:06:58  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.2  2004/11/23 17:54:23  mp
 * removed unused variable
 *
 * Revision 1.1  2003/10/15 19:14:26  mp
 * initial version
 *
 *
 *
 ****************************************************************************/
#include <PalmOS.h>
#include "ResourceDefines.h"
#include "Serial.h"
#include "DebugForm.h"
#include "GPS.h"

static void DebugFormInit(void);

static 
void DebugFormInit(void)
{  
  gFormOpened = true;
}


Boolean DebugFormHandleEvent(EventPtr event)
{
	Boolean		handled;
	Boolean		updatedDisplay;

	handled = false;
	switch (event->eType)
	{
        case menuEvent:
          switch (event->data.menu.itemID) {
      
            case PositionMenu:
	      FrmGotoForm(GPSMainForm);
	      handled = true;
	      break;

            case SkyviewMenu:
	      FrmGotoForm(SkyviewForm);
	      handled = true;
	      break;

	    case NavigationMenu:
	      FrmGotoForm(NavigationForm);
	      handled = true;
	      break;

	    case MapMenu:
	      FrmGotoForm(MapForm);
	      handled = true;
	      break;

	  }
          break;
	  
	case nilEvent:
		handled = true;
		DoReceiveFlush(gPortID, 1);	// throw away anything in the  
						// buffer-- we want fresh data
		
		// we loop until an event occurs, or until
		// we update the display
		do {	
		  // TBD
		  updatedDisplay = ReadFromGPS();
		} while (!updatedDisplay && !EvtSysEventAvail(false));
		break;
	
	case frmOpenEvent:
		DebugFormInit();
		FrmDrawForm(FrmGetActiveForm());

		handled = true;
		break;
		
	}
	return(handled);
} // DebugFormHandleEvent()
