/*****************************************************************************
 *
 * $RCSfile: HandleMessage.h,v $
 *
 * Display image stored in memory area pointed to by **lines
 *   using WinDrawBitmap
 *
 * created: 2003-10-14
 *
 *
 * This program is Copyright (C) 12/2002 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-12-19 10:06:19 $
 *
 * $Revision: 1.5 $
 *
 * $Log: HandleMessage.h,v $
 * Revision 1.5  2004-12-19 10:06:19  mp
 * changed GPS fix status encoding
 *
 * Revision 1.4  2004/11/24 21:11:11  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.3  2003/11/20 20:37:53  mp
 * added STAT_REDRAW
 *
 * Revision 1.2  2003/10/20 17:19:47  mp
 * modified UpdateStatus, added status flags
 *
 * Revision 1.1  2003/10/15 19:14:26  mp
 * initial version
 *
 *
 *
 ****************************************************************************/ 
#ifndef HANDLEMESSAGE_H
#define HANDLEMESSAGE_H

#define STAT_OK		0
#define STAT_WARNING	1
#define STAT_NO_GPS	2
#define STAT_REDRAW	3

/*
 * The map display functions are in their own segment
 */
#define MSGHANDLER_SECTION   __attribute__ ((section ("msghand")))


Boolean HandleMessage(Char *message)                        MSGHANDLER_SECTION;

void UpdateStatus(UInt16 status)                            MSGHANDLER_SECTION;

#endif
