/*****************************************************************************
 *
 * $RCSfile: MapForm.h,v $
 *
 * GPS4Palm Map Form
 *
 * This program is Copyright (C) 12/2002 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-24 21:12:59 $
 *
 * $Revision: 1.5 $
 *
 * $Log: MapForm.h,v $
 * Revision 1.5  2004-11-24 21:12:59  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.4  2003/12/30 14:49:34  mp
 * added prototypes for callFetchmap(), eraseFilename(), and updateCross()
 *
 * Revision 1.3  2003/12/28 18:16:22  mp
 * added crosshair min/max, added CallFetchMap()
 *
 * Revision 1.2  2003/11/20 20:52:07  mp
 * moved functions to maps-section
 *
 * Revision 1.1.1.1  2003/07/14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/
#ifndef MAPFORM_H
#define MAPFORM_H

#define MAPFORM_SECTION   __attribute__ ((section ("maps")))

/* Position crosshair dimensions */
//#define CROSS_X 3
//#define CROSS_Y 3
#define CROSS_X 16
#define CROSS_Y 16


/* Position crosshair coordinates maximum and minimum */
#define CR_MIN_X	CROSS_X
#define CR_MAX_X	160-CROSS_X
#define CR_MIN_Y	CROSS_Y
#define CR_MAX_Y	160-CROSS_Y

extern double lat;
extern double lon;

Boolean MapFormHandleEvent(EventPtr event)	MAPFORM_SECTION;

#endif
