/*****************************************************************************
 *
 * $RCSfile: NavigationForm.h,v $
 *
 * GPS4Palm Navigation Form
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-24 21:15:17 $
 *
 * $Revision: 1.7 $
 *
 * $Log: NavigationForm.h,v $
 * Revision 1.7  2004-11-24 21:15:17  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.6  2004/11/20 15:46:48  mp
 * moved update_act_wpt() to Data.c,
 * moved NavigationFormHandleEvent() to NAV_SECTION
 *
 * Revision 1.5  2004/11/19 18:34:47  mp
 * added display_wpt() and update_act_wpt()
 *
 * Revision 1.4  2004/11/13 14:26:53  mp
 * moved functions to 'nav' section
 *
 * Revision 1.3  2004/03/13 14:07:21  mp
 * added prototypes
 *
 * Revision 1.2  2004/03/11 21:35:31  mp
 * modified 'compass' geometry
 *
 * Revision 1.1.1.1  2003/07/14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/
#ifndef NAVIGATIONFORM_H
#define NAVIGATIONFORM_H

/*
 * The navigation functions are in their own segment
 */
#define NAV_SECTION   __attribute__ ((section ("nav")))

#define NAV_X	41	// X center coordinate
#define NAV_Y	118	// Y center coordinate
#define NAV_R1	24	// Radius inner circle
#define NAV_R2	40	// Radius outer circle
#define NAV_R3	32	// Radius for points of compass

Boolean NavigationFormHandleEvent(EventPtr event)		NAV_SECTION;

#endif
