/*****************************************************************************
 *
 * $RCSfile: ResourceDefines.h,v $
 *
 * GPS4Palm Resource Defines Header File for PRC Resource Compiler
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005-05-14 11:32:08 $
 *
 * $Revision: 1.47 $
 *
 * $Log: ResourceDefines.h,v $
 * Revision 1.47  2005-05-14 11:32:08  mp
 * added FileSelInfo1Field
 *
 * Revision 1.46  2005/04/02 07:25:13  mp
 * added PosgeodbMenu
 *
 * Revision 1.45  2005/03/25 13:34:40  mp
 * added PosclipMenu
 *
 * Revision 1.44  2005/02/26 14:49:53  mp
 * added DirEmptyVfsAlert, FileSelDeleteButton, MapIntStr, and MapExtStr
 *
 * Revision 1.43  2005/02/19 13:58:52  mp
 * added FileSelDateField
 *
 * Revision 1.42  2005/02/19 12:10:37  mp
 * added FileSelSizeField
 *
 * Revision 1.41  2005/02/06 10:52:26  mp
 * added GPSPortRTSCtrlCheckbox
 *
 * Revision 1.40  2005/02/05 17:42:45  mp
 * added WayptEditImportButton and GeodbImportAlert, modified GPSPortForm
 *
 * Revision 1.39  2004/12/10 19:59:53  mp
 * replaced WayptEditSymScrl by WayptEditPrevSymButton and
 * WayptEditNextSymButton, added EditMenuBar and TrackMenuBar
 *
 * Revision 1.38  2004/12/09 17:34:40  mp
 * added string resources
 *
 * Revision 1.37  2004/12/07 17:16:58  mp
 * removed TrackSelectButton
 *
 * Revision 1.36  2004/12/04 09:36:22  mp
 * modified TrackForm items and Track Alerts
 *
 * Revision 1.35  2004/12/02 23:03:22  mp
 * added TrackDelAlert and TrackCreateAlert
 *
 * Revision 1.34  2004/12/01 17:42:41  mp
 * modified TrackForm and MiscOptsForm items
 *
 * Revision 1.33  2004/11/30 21:04:33  mp
 * added TrackForm items
 *
 * Revision 1.32  2004/11/27 10:23:47  mp
 * added LogoBmp
 *
 * Revision 1.31  2004/11/25 20:15:48  mp
 * added ApproachForm items
 *
 * Revision 1.30  2004/11/24 21:24:18  mp
 * added About Form items
 *
 * Revision 1.29  2004/11/19 17:58:07  mp
 * added NavigationPrevWptButton, NavigationNextWptButton, and AutoWaypointCheckbox
 *
 * Revision 1.28  2004/11/18 17:31:41  mp
 * added WaypointDelErrorAlert
 *
 * Revision 1.27  2004/11/15 18:49:36  mp
 * modified RouteEditForm
 *
 * Revision 1.26  2004/11/14 22:38:23  mp
 * modified RouteEditForm
 *
 * Revision 1.25  2004/11/13 15:56:46  mp
 * renumbered items
 *
 * Revision 1.24  2004/11/11 21:45:55  mp
 * added NavigationRteAlert, DebugAlert, and various RouteForm elements
 *
 * Revision 1.23  2004/06/23 17:59:33  mp
 * added route form objects
 *
 * Revision 1.22  2004/04/22 18:37:14  mp
 * added NoGpslibAlert
 *
 * Revision 1.21  2004/04/17 12:48:36  mp
 * added WaypointGpslibField
 *
 * Revision 1.20  2004/03/30 19:31:34  mp
 * added Waypoint String Resource Defines
 *
 * Revision 1.19  2004/03/28 17:44:57  mp
 * added waypoint symbol bitmap resource IDs
 *
 * Revision 1.18  2004/03/15 17:17:45  mp
 * modified WaypointForm and WayptEditForm
 *
 * Revision 1.17  2004/03/13 15:39:59  mp
 * added NavigationForm objects
 *
 * Revision 1.16  2004/03/11 21:29:37  mp
 * added Navigation objects
 *
 * Revision 1.15  2004/03/10 21:59:07  mp
 * added NavigationForm objects
 *
 * Revision 1.14  2004/03/10 17:25:39  mp
 * added WaypointGotoButton
 *
 * Revision 1.13  2004/03/09 19:05:54  mp
 * added WaypointDispField
 *
 * Revision 1.12  2004/03/08 20:06:52  mp
 * added ProxField (WayptEditForm)
 *
 * Revision 1.11  2004/03/03 18:59:39  mp
 * added WayptEditForm objects
 *
 * Revision 1.10  2004/03/01 20:01:02  mp
 * added waypoint items
 *
 * Revision 1.9  2004/01/18 11:45:18  mp
 * added defines LatLabel, EastLabel, LonLabel, NorthLabel, PosUTMPushb
 *
 * Revision 1.8  2003/12/30 20:18:58  mp
 * added NoMathLibAlert
 *
 * Revision 1.7  2003/12/27 17:38:54  mp
 * added FileSelAutoButton and QueryDldAlert
 *
 * Revision 1.6  2003/11/20 20:41:23  mp
 * added MapOptsForm and MiscOptsForm Controls and reordered Items
 *
 * Revision 1.5  2003/11/18 20:46:22  mp
 * Added Menus
 * Added Pushbuttons for Unit Selection
 * Removed NoGPSString
 * Added FetchMapAlert
 *
 * Revision 1.4  2003/10/20 17:16:50  mp
 * added PositionStatusField and NavigationStatusField, removed LostSatelliteLabel
 *
 * Revision 1.3  2003/10/18 16:12:56  mp
 * added FileSelForm defines, added MapMenuBar define
 *
 * Revision 1.2  2003/10/15 19:05:28  mp
 * added DebugMenu/DebugForm
 *
 * Revision 1.1.1.1  2003/07/14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/

// Position
#define GPSMainForm		1000
#define PositionStatusField	1001
#define TimeField		1002
#define LatitudeField		1004
#define LongitudeField		1005
#define SpeedField		1006
#define CMGField		1007
#define MagField		1008
#define AltField		1009
#define LatLabel		1010
#define EastLabel		1011
#define LonLabel		1012
#define NorthLabel		1013

// Sky View
#define SkyviewForm		1100
#define SkyViewStatusField	1101
#define DateField		1102
#define PDOPField		1103
#define HDOPField		1104
#define VDOPField		1105
#define FixField		1106
#define SatsField		1107
#define BatField		1108

// Navigation
#define NavigationForm		1200
#define NavigationStatusField	1201
#define NavigationTimeField	1202
#define NavigationWptIDSel	1203
#define NavigationRteIDSel	1204
#define NavigationPrevWptButton	1205
#define NavigationNextWptButton	1206
#define NavigationDstField	1207
#define NavigationSogField	1208
#define NavigationVmgField	1209
#define NavigationTtgField	1210
#define NavigationBrgField	1211
#define NavigationCmgField	1212
#define NavigationTrnField	1213

// Map
#define MapForm			1300

// Misc Options
#define MiscOptsForm		1400
#define AutoPwrOffCheckbox	1401
#define AutoWaypointCheckbox	1402
#define ApproachAlertCheckbox	1403
#define ApproachSoundCheckbox	1404
#define TrkModePopup		1405
#define TrkModeList		1406
#define TrkIntTimePopup		1407
#define TrkIntTimeList		1408
#define TrkIntDstPopup		1409
#define TrkIntDstList		1410
#define TrkFullPopup		1411
#define TrkFullList		1412
#define PosDPushb		1421
#define PosDMPushb		1422
#define PosDMSPushb		1423
#define PosUTMPushb		1424
#define DstKmPushb		1431
#define DstMiPushb		1432
#define DstNmPushb		1433
#define AltMPushb		1441
#define AltFtPushb		1442
#define SpdKmhPushb		1451
#define SpdMsPushb		1452
#define SpdMihPushb		1453
#define SpdKtsPushb		1444


// Map Options
#define MapOptsForm		1500
#define ScalePopup		1511
#define ScaleList		1512
#define DldAPushb		1521
#define DldQPushb		1522
#define DldOPushb		1523
#define MapDispWayptName        1530
#define MapDispWaypt            1531


// File Selector
#define FileSelForm		1600
#define FileSelTable		1601
#define FileSelScrl		1602
#define FileSelSizeField	1603
#define FileSelDateField	1604
#define FileSelInfo1Field	1605
#define FileSelOkButton		1606
#define FileSelAutoButton	1607
#define FileSelCancelButton	1608
#define FileSelDeleteButton	1609

// Waypoints
#define WaypointForm		1700
#define WaypointTable		1701
#define WaypointScrl		1702
#define WaypointCmntField	1710
#define WaypointProxField	1711
#define WaypointDispField	1712
#define WaypointDispList	1713
#define WaypointNewButton	1714
#define WaypointCopyButton	1715
#define WaypointDeleteButton	1716
#define WaypointGotoButton	1717
#define WaypointGpslibField	1718

// WayptEdit
#define WayptEditForm		1800
#define IdentField		1801
#define ZoneLabel		1802
#define ZoneField		1803
/*
 * Re-use IDs from PositionForm
 * #define LatLabel		1804
 * #define EastLabel		1805
 * #define LatitudeField	1806
 * #define LonLabel		1807
 * #define NorthLabel		1808
 * #define LongitudeField	1809
 */
#define ProxField		1810
#define CommentField		1811
#define DisplayPopup		1812
#define DisplayList		1813
#define WayptEditOkButton	1814
#define WayptEditCancelButton	1815
#define WayptEditHereButton	1816
#define WayptEditImportButton	1817
#define WayptEditSymField	1818
#define WayptEditPrevSymButton	1819
#define WayptEditNextSymButton	1820

// Routes
#define RouteForm		3000
#define RouteTable		3001
#define RouteScrl		3002
#define RouteGpslibField	3003
#define RouteNewButton		3004
#define RouteEditButton		3005
#define RouteDeleteButton	3006
#define RouteSelectButton	3007

// Route Edit
#define RouteEditForm		3100
#define RouteNmbrField		3101
#define RouteCmntField		3102
#define RouteEditAllTable	3103
#define RouteEditAllScrl	3104
#define RouteEditSelTable	3105
#define RouteEditSelScrl	3106
#define RouteEditAddButton	3107
#define RouteEditUpButton	3108
#define RouteEditDnButton	3109
#define RouteEditDelButton	3110
#define RouteEditDoneButton	3111

// Tracks
#define TrackForm		3200
#define TrackTable		3201
#define TrackScrl		3202
#define TrackIdentField		3203
#define TrackLogButton		3204
#define TrackGpslibField	3205
#define TrackNewButton		3206
#define TrackDeleteButton	3207

// About
#define AboutForm		3300
#define AboutString		3301
#define AboutBitmap		3302
#define AboutField		3303
#define AboutScrollBar		3304
#define AboutOKButton		3305

// Approach
#define ApproachForm		3400
#define ApproachWptField	3401
#define ApproachDstField	3402
#define ApproachOKButton	3404

// Debug
#define DebugForm		3500

// Port Select
#define GPSPortForm		1900
#define GPSPortPopupTrigger	1901
#define HostPortPopupTrigger	1902
#define GPSPortList		1903
#define HostPortList		1904
#define GPSPortRTSCtrlCheckbox	1905
#define GPSPortUsePortButton	1906

// Menu
#define GpsMenuBar		2000
#define MapMenuBar		2001
#define EditMenuBar		2002
#define TrackMenuBar		2003
#define PositionMenu		2011
#define SkyviewMenu		2012
#define NavigationMenu		2013
#define MapMenu			2014
#define AboutMenu		2015
#define DebugMenu		2016
#define FileOpenMenu		2017
#define FetchMapMenu		2018
#define MiscOptsMenu		2019
#define UnitsOptsMenu		2020
#define MapOptsMenu		2021
#define PortsMenu		2022
#define WaypointMenu		2023
#define RouteMenu		2024
#define TrackMenu		2025
#define UndoMenu		2030
#define CutMenu			2031
#define CopyMenu		2032
#define PasteMenu		2033
#define KeyboardMenu		2034
#define GraffitiMenu		2035
#define PosclipMenu		2036
#define PosgeodbMenu		2037

// Alerts
#define RomIncompatibleAlert	2101
#define SerialInUseAlert	2102
#define CantOpenSerialAlert	2103
#define NoProfileSelectedAlert	2104
#define NoFileAlert		2105
#define NoZLibAlert		2106
#define AbortGIFAlert		2107
#define AbortPNGAlert		2108
#define ConfirmDeleteAlert	2109
#define DirEmptyAlert		2110
#define DirEmptyVfsAlert	2111
#define MapDelConfirmAlert	2112
#define WrongFileAlert		2113
#define FetchMapAlert		2114
#define QueryDldAlert		2115
#define NoMathLibAlert		2116
#define NoGpslibAlert		2117
#define WaypointDelConfirmAlert	2118
#define WaypointDelErrorAlert	2119
#define RouteDelAlert		2120
#define RouteCreateAlert	2121
#define TrackDelConfirmAlert	2122
#define TrackDelErrorAlert	2123
#define TrackCreateAlert	2124
#define TrackFullAlert		2125
#define NavigationWptAlert	2126
#define NavigationRteAlert	2127
#define GeodbImportAlert	2128
//#define GPSWarnAlert		2129
#define DebugAlert		2130

// String Resources
#define WptIdentStr		4000
#define WptCmntStr		4001
#define TrackStr		4002
#define StartStr		4003
#define StopStr			4004
#define NoWptStr		4005
#define NoRteStr		4006
#define RteNoStr		4007
#define DecodeStr		4008
#define NoMapStr		4009
#define WptNoneStr		4010
#define WptSymStr		4011
#define WptNameStr		4012
#define WptCommentStr		4013
#define GPSOkStr		4014
#define GPSWarnStr		4015
#define GPSLostStr		4016
#define MapIntStr		4017
#define MapExtStr		4018

// Bitmap Resources (valid Resource ID range: 0..9999)
#define WayptMarineBmp		0			// used: 0..21
#define WayptRecBmp		150			// used: 150..179
#define WayptLandBmp		8190			// used: 8192..8254
#define WayptAvBmp		380			// actually: 16380
							// used: 384..402
#define WayptDefBmp		WayptMarineBmp+18	// default symbol
#define LogoBmp			8000

// String Resources
#define WayptMarineStr		WayptMarineBmp
#define WayptRecStr		WayptRecBmp
#define WayptLandStr		WayptLandBmp
#define WayptAvStr		WayptAvBmp		// actually: 16380
#define WayptDefStr		WayptDefBmp		// default symbol

