/*****************************************************************************
 *
 * $RCSfile: Serial.h,v $
 *
 * GPS4Palm Serial Manager API Wrapper Functions -
 *   either the new or the old API is used
 *
 * Based on the example "GPS" from the book
 * "Palm Programming, the Developer's Guide, 2nd edition"
 * by O'Reilly.
 * (Copyright (c) 1998-2001, Neil Rhodes and Julie McKeehan  neil@pobox.com)
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005-05-06 13:33:23 $
 *
 * $Revision: 1.4 $
 *
 * $Log: Serial.h,v $
 * Revision 1.4  2005-05-06 13:33:23  mp
 * added BluetoothOpen()
 *
 * Revision 1.3  2005/01/30 21:23:42  mp
 * added FreeCncProfileList() and gCncManagerFtr
 *
 * Revision 1.2  2004/04/17 12:44:30  mp
 * added kBaudRate
 *
 * Revision 1.1.1.1  2003/07/14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/
#ifndef SERIAL_H
#define SERIAL_H

#define kBaudRate	4800

extern Boolean	gNewSerialManager;
extern Boolean	gCncManagerFtr;
extern UInt16	gPortID;
extern char	gSerialBuffer[900];

UInt32 DoReceive(UInt16 portId, void *rcvBufP, UInt32 count, Int32 timeout, 
		  Err *errP);

Err DoSetReceiveBuffer(UInt16 portId, void *bufP, UInt16 bufSize);

Err DoReceiveWait(UInt16 portId, UInt32 bytes, Int32 timeout);

Err DoReceiveFlush(UInt16 portId, Int32 timeout);

Err DoReceiveCheck(UInt16 portId,  UInt32 *numBytesP);

Err DoClose(UInt16 portId);

void FreeCncProfileList(void);

Err BluetoothOpen(UInt32 port, UInt32 baud, UInt8 *bt_addr, UInt16 *PortID);

#endif
