/*****************************************************************************
 *
 * $RCSfile: UpdatePosition.c,v $
 *
 * GPS4Palm Position Update Function -
 *   converts Position from NMEA Message String to Lat/Lon
 *   Floating Point Values
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2003-07-14 18:59:29 $
 *
 * $Revision: 1.1.1.1 $
 *
 * $Log: UpdatePosition.c,v $
 * Revision 1.1.1.1  2003-07-14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/
#include <PalmOS.h>

// TBD: only MapForm
static 
void UpdatePosition(Char *message, double *p_lat, double *p_lon)
{
  Char		s[20];		/* string buffer */
  Char		tmp[8];
  Char 		*pt_pos;	/* decimal point pos. */
  double	lat;
  double	lon;

  // 4 is N or S for Lat direction, 3 is lat
  if (GetField(message, 4, s) && 
	  GetField(message, 3, s + StrLen(s))) {

    // find position of decimal point
    pt_pos = StrStr(s, ".");

    // degrees
    StrNCopy(tmp, pt_pos - 4, 2);
    lat = (double)StrAToI(tmp);
    
    // minutes
    StrNCopy(tmp, pt_pos - 2, 2);
    lat += (double)StrAToI(tmp)/60.0;
    
    // seconds
    lat += (double)StrAToI(pt_pos+1)/3600.0;
    
    lat *= (s[0] == 'S') ? -1 : 1; 
    
    *p_lat = lat;
  }
  
  
  // 6 is E or W for Lon direction, 5 is lon
  if (GetField(message, 6, s) && 
	  GetField(message, 5, s + StrLen(s))) {

    // find position of decimal point
    pt_pos = StrStr(s, ".");

    // degrees
    StrNCopy(tmp, pt_pos - 5, 3);
    lon = (double)StrAToI(tmp);
    
    // minutes
    StrNCopy(tmp, pt_pos - 2, 2);
    lon += (double)StrAToI(tmp)/60.0;
    
    // seconds
    lon += (double)StrAToI(pt_pos+1)/3600.0;
    
    lon *= (s[0] == 'W') ? -1 : 1; 
    
    *p_lon = lon;
  }
}
