/*****************************************************************************
 *
 * $RCSfile: Utils.h,v $
 *
 * GPS4Palm Utility Functions
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-27 10:17:43 $
 *
 * $Revision: 1.9 $
 *
 * $Log: Utils.h,v $
 * Revision 1.9  2004-11-27 10:17:43  mp
 * added Die()
 *
 * Revision 1.8  2004/11/24 21:26:30  mp
 * added UpdateScrollbar(),
 * >  * ScrollLines(), and PageScroll()
 *
 * Revision 1.7  2004/11/14 11:02:49  mp
 * added MyFrmGetObjectIndexFromPtr()
 *
 * Revision 1.6  2004/04/29 20:09:08  mp
 * added Dopage() and Doscroll()
 *
 * Revision 1.5  2003/11/20 20:36:29  mp
 * added SetControlValueFromId and GetControlValueFromId
 *
 * Revision 1.4  2003/11/02 10:42:51  mp
 * added backlight(), sermux_select() and sermux_enable()
 *
 * Revision 1.3  2003/10/20 17:12:33  mp
 * added SetFieldText
 *
 * Revision 1.2  2003/10/15 19:01:37  mp
 * added function nibble2hex
 *
 * Revision 1.1.1.1  2003/07/14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/
#ifndef UTILS_H
#define UTILS_H

#define SetControlValueFromId(id,val)\
  FrmSetControlValue(frmP, \
    FrmGetObjectIndex(frmP, \
    (id)), (val))

#define GetControlValueFromId(id)\
  FrmGetControlValue(frmP, \
    FrmGetObjectIndex(frmP, (id)))

void *GetObjectFromForm(FormPtr form, UInt16 objectID);

void *GetObjectFromActiveForm(UInt16 objectID);

UInt16 MyFrmGetObjectIndexFromPtr(const FormPtr formP, void *objP);

void Die(const Char *msg);

UInt32 GetRomVersion(void);

void Dopage(UInt16 tbl_id, Boolean down, UInt16 nr_items, Int32 *top_row);

void Doscroll(UInt16 tbl_id, UInt16 scl_id, UInt16 nr_items, Int32 *top_row);

Err RomVersionCompatible(UInt32 requiredVersion, UInt16 launchFlags);

void UpdateScrollbar(FormPtr form, UInt16 fieldID, UInt16 scrollbarID);

void ScrollLines(FormPtr form, UInt16 fieldID, UInt16 scrollbarID,
  Int16 numLinesToScroll, Boolean redraw);
  
void PageScroll(FormPtr form, UInt16 fieldID, UInt16 scrollbarID,
  WinDirectionType direction);

void SetFieldText(UInt16 fldID, Char *srcP, Boolean append, Boolean redraw);

Err SetFieldTextFromStr(FieldPtr field, Char *s, Boolean redraw);

char nibble2hex(const char nibble);

void backlight(Boolean on);

void sermux_select(Boolean sel);
void sermux_enable(Boolean enable);

#endif
