/*****************************************************************************
 *
 * $RCSfile: georef.h,v $
 *
 * GPS4Palm Map File Georeference Decoding
 *
 * History:
 * 2003-10-19:	first version
 *
 * This program is Copyright (C) 10/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005-05-06 13:41:13 $
 *
 * $Revision: 1.7 $
 *
 * $Log: georef.h,v $
 * Revision 1.7  2005-05-06 13:41:13  mp
 * modified search_map()
 *
 * Revision 1.6  2005/04/17 18:15:08  mp
 * moved ON_MAP() to MapForm.c
 *
 * Revision 1.5  2005/02/19 14:35:13  mp
 * modified search_map()
 *
 * Revision 1.4  2004/01/18 11:42:21  mp
 * moved functions to section geo
 *
 * Revision 1.3  2003/12/28 18:07:36  mp
 * added macro ON_MAP(x,y)
 *
 * Revision 1.2  2003/11/23 20:01:19  mp
 * added search_map()
 *
 * Revision 1.1  2003/10/19 16:56:30  mp
 * initial version
 *
 *
 *
 ****************************************************************************/
#ifndef GEOREF_H
#define GEOREF_H

#define GEOREF_SECTION   __attribute__ ((section ("geo")))

Boolean georef_filename(const Char *filename, double *map_lat,
		double *map_lon, UInt32 *map_scale)		GEOREF_SECTION;
		 
Boolean search_map(char *filename, UInt32 *card,
		double lon, double lat,
		UInt16 maxx, UInt16 maxy)			GEOREF_SECTION;
#endif
