/*****************************************************************************
 *
 * $RCSfile: getdir.h,v $
 *
 * GPS4Palm
 *
 * This program is Copyright (C) 12/2002 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005-02-19 20:02:57 $
 *
 * $Revision: 1.5 $
 *
 * $Log: getdir.h,v $
 * Revision 1.5  2005-02-19 20:02:57  mp
 * moved FILENAMEMAXLEN to common.h
 *
 * Revision 1.4  2005/02/19 11:13:42  mp
 * modified getdir_vfs()
 *
 * Revision 1.3  2005/02/13 16:26:44  mp
 * added getdir_vfs() and VFS specific defines
 *
 * Revision 1.2  2003/11/23 19:58:21  mp
 * moved CreateDatabase and DestroyDatabase from FileselForm.c
 *
 * Revision 1.1  2003/10/18 16:23:30  mp
 * initial version
 *
 *
 *
 ****************************************************************************/
#ifndef GETDIR_H
#define GETDIR_H

#define FILELISTRECORDSIZE	20480
#define FILELPRECORDSIZE	2048
#define FILESORTRECORDSIZE	1024
#define FILECARDRECORDSIZE	512
#ifndef FILEDIRpre
char FILEDIR[512];
#endif
#define FILEDIRpre			"/PALM/Programs/gps4palm"
#define VFS_FLAG		0x80000000L /** File System: VFS */
#define FS_FLAG			0x00000000L /** File System: File Streaming */

#define SORTPREFIX 4

UInt16 getdir(char *filelist, char *filecard, char **filelp);

UInt16 getdir_vfs(char *filelist, char *filecard, char **filelp, UInt16 files);

void CreateDatabase(DmOpenRef *ref,
			     char **filelist, char **filecard, char ***filelp);
			     
void DestroyDatabase(DmOpenRef scratch,
                              char *filelist, char *filecard, char **filelp);


#endif
