/*****************************************************************************
 *
 * $RCSfile: importGeoDBLocation.c,v $
 *
 * This routine gets the "selected" reference from GeoDB
 * 
 * Author: David W. Bray. Email bray@davidbray.org
 *
 * importGeoDBLocation() is in the public domain -- November 2003.
 *
 * $Date: 2005-01-29 10:20:04 $
 *
 * $Revision: 1.1 $
 *
 * $Log: importGeoDBLocation.c,v $
 * Revision 1.1  2005-01-29 10:20:04  mp
 * imported from example code (importGeoDBLocation.zip) by David W. Bray
 *
 *
 ****************************************************************************/

// Required headers
#include "PalmOS.h"
#include "PalmCompatibility.h"

#include "geodb.h"

// External Global
extern Location location;

Boolean importGeoDBLocation(void)
{ DWord resultP;
  DmSearchStateType searchState;
  Word  cardNo;
  Err error;
  LocalID geoDBLocalID;

  // open the GeoDB database and get the selected location data
  if (DmGetNextDatabaseByTypeCreator(true, &searchState, geoDBType, geoDBCreator,
		false, &cardNo, &geoDBLocalID))
	return false;

   error = SysAppLaunch(cardNo, geoDBLocalID, 0, 33001, (Ptr)&location, &resultP);
   if (resultP != 0 || error || StrLen(location.name) < 1) return false;

   return true;
}

