eval 'exec perl -w -S $0 ${1+"$@"}'
    if 0;

##############################################################################
#
# screen_test.pl
#
# Simple script to generate test data (images)
# for map screen handling.
# (pan, zoom, high-/low-density display, ...)
#
# Note: Due to license reasons, GIF output has been removed from
#	some versions of GD. Thus, the default output format is PNG.
#
# Usage:
#	screen_test.pl >image.png
#
# The perl module GD is available at
# http://stein.cshl.org/WWW/software/GD
# and
# http://search.cpan.org/~lds/GD/
#
# created: 2005/04/23
#
# This program is Copyright (C) 04/2005 Matthias Prinke
# <matthias dot prinke at surfeu dot de> and covered by GNU's GPL.
# In particular, this program is free software and comes WITHOUT
# ANY WARRANTY.
#
# $Author: mp $
#
# $Date: 2005-04-23 17:40:58 $
#
# $Revision: 1.2 $
# 
# $Log: screen_test.pl,v $
# Revision 1.2  2005-04-23 17:40:58  mp
# added binmode STDOUT
#
# Revision 1.1  2005/04/23 17:37:16  mp
# initial version
#
#
##############################################################################


use GD;

my $width   = 320;	# image width
my $height  = 320;	# image height
my $x_space = 10;	# horizontal spacing between lines
my $y_space = 10;	# vertical   spacing between lines
my $format  = "png";	# "png" or "gif" (if supported)

# create a new image
$im = new GD::Image($width, $height);

# Note: first color allocated is background color 
my $white = $im->colorAllocate(255,255,255);
my $black = $im->colorAllocate(0,0,0);       
my $red   = $im->colorAllocate(255,0,0);       


# draw horizontal lines
my $x1 = 0;
my $x2 = $width-1;
for ($y=0; $y<$height; $y++) {
  if (($y % $y_space) == 0) {
    $im->string(gdTinyFont, 1,$y+2, $y/10, $black);
    $im->string(gdTinyFont, $width-9,$y+2, $y/10, $black);
    $im->line($x1, $y, $x2, $y, $black)
  }
}

# draw vertical lines
my $y1 = 0;
my $y2 = $height-1;
for ($x=0; $x<$width; $x++) {
  if (($x % $x_space) == 0) {
    if ($x != 0 && $x < $width-$x_space-1) {
      $im->string(gdTinyFont, $x+1, 2, $x/10, $black);
      $im->string(gdTinyFont, $x+1, $height-8, $x/10, $black);
   }
    $im->line($x, $y1, $x, $y2, $black);
  }
}

# mark center with a circle
$im->ellipse($width/2,$height/2,$x_space,$y_space,$red);

if ($format eq "png") { 
  $im_data = $im->png;
} else {
  # Some versions of GS support GIF, others don't
  $im_data = $im->gif;
}

# use this to pipe the image to 'display' (part of ImageMagick)
#open (DISPLAY,"| display -") || die;
#binmode DISPLAY;
#print DISPLAY $im_data;
#close DISPLAY;

# make sure we are writing to a binary stream
binmode STDOUT;

print $im_data;
